targets
Create a target
POST
/
targets
Create a target
curl --request POST \
--url https://app.pentest-tools.com/api/v2/targets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data name=example.org \
--data 'description=<string>' \
--data workspace_id=123import requests
url = "https://app.pentest-tools.com/api/v2/targets"
payload = {
"name": "example.org",
"description": "<string>",
"workspace_id": "123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({name: 'example.org', description: '<string>', workspace_id: '123'})
};
fetch('https://app.pentest-tools.com/api/v2/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_id": 420323
}
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}Was this page helpful?
⌘I
Create a target
